Subject: [Sipping] SIP - SRTP

From: "Yadavalli, Satya" <[email-masked]>
Date: Wed, 24 Mar 2004 11:10:25 -0500

Hi,
I am trying to find a specification (for SIP applications) that describes
specifying the SRTP media related needs (key exchanges etc.,) in the SDP and
found the following two drafts:
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-kmgmt-ext-10.txt
<http://www.ietf.org/internet-drafts/draft-ietf-mmusic-kmgmt-ext-10.txt> 
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdescriptions-03.txt
<http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdescriptions-03.txt>

Could some one help me which of these is the draft that would help (or is it
both...havenot really looked into them) or are there any other
recommendations to follow.

Are there any SIP implementations currently supporting SRTP? If so, what is
followed for specifying the SDP.

Thanks,
Satya

---

From: Flemming Andreasen <[email-masked]>
Date: Wed, 24 Mar 2004 17:56:24 -0500

Both of these drafts are relevant.
- MIKEY provides you with full control of all SRTP parameters (I
believe) as well as native end-to-end security for the security
parameters and key exchange.
- sdescriptions defines a limited set of SRTP parameters to be
negotiated (incl. fixed ciphersuites) and assumes that security is
either provided hop-by-hop or end-to-end by means outside of
sdescriptions itself (e.g. IPSec, TLS, or S/MIME).

-- Flemming

"Yadavalli, Satya" wrote:

>
>
> Hi,
> I am trying to find a specification (for SIP applications) that
> describes specifying the SRTP media related needs (key exchanges
> etc.,) in the SDP and found the following two drafts:
>
> Could some one help me which of these is the draft that would help (or
> is it both...havenot really looked into them) or are there any other
> Are there any SIP implementations currently supporting SRTP? If so,
> what is followed for specifying the SDP.
>
> Thanks,
> Satya

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP